coord.h File Reference

A Coord is a coordinate of arbitrary rank into a tensor or matrix. More...

`#include "cutlass/cutlass.h"`
Include dependency graph for coord.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::Coord< Rank_, Index_, LongIndex_ >
| Statically-sized array specifying Coords within a tensor. More...

## Namespaces

| cutlass

## Functions

template<int Rank, typename Index >
CUTLASS_HOST_DEVICE Coord< Rank, Index > | cutlass::operator/ (Index s, Coord< Rank, Index > coord)
| Scalar division. More...
template<int Rank, typename Index >
CUTLASS_HOST_DEVICE Coord< Rank, Index > | cutlass::operator/ (Coord< Rank, Index > coord, Index s)
| Scalar division. More...
CUTLASS_HOST_DEVICE Coord< 1 > | cutlass::make_Coord (int _0)
| Helper to make a 2-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 2 > | cutlass::make_Coord (int _0, int _1)
| Helper to make a 2-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 3 > | cutlass::make_Coord (int _0, int _1, int _2)
| Helper to make a 3-element coordinate. More...
CUTLASS_HOST_DEVICE Coord< 4 > | cutlass::make_Coord (int _0, int _1, int _2, int _3)
| Helper to make a 4-element coordinate. More...